﻿Imports C1.C1Preview.Export
Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        C1TrueDBGrid1.DataSource = GetTable()

        'If you want to set the values of export dialog options form without showing the form,
        'you can create your custom export provider by inheriting the XlsxExportProvider class and
        'registering it in avaiable ExportProviders
        ExportProviders.Register(New CustomXlsxExportProvider())

        'set your custom inherited form as print preview form
        C1TrueDBGrid1.PrintInfo.PreviewFormClassName = "PrintPreviewCustomize_TDBG.CustomPrintPreviewForm"
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        C1TrueDBGrid1.PrintInfo.PrintPreview()
    End Sub

    ''' <summary>
    ''' Sample DataTable for the Grid
    ''' </summary>
    Private Function GetTable() As DataTable
        Dim dt As DataTable = New DataTable()

        For i As Integer = 1 To 7 - 1

            If i Mod 2 = 0 Then
                dt.Columns.Add($"Col {i}", GetType(Integer))
            Else
                dt.Columns.Add($"Col {i}", GetType(String))
            End If
        Next

        For i As Integer = 1 To 21 - 1
            dt.Rows.Add($"Row {i}", i, $"Row {i}", i, $"Row {i}", i)
        Next

        Return dt
    End Function
End Class

