﻿Imports C1.C1Preview.Export
Public Class CustomXlsxExportProvider
    Inherits XlsxExportProvider

    ''' <summary>
    ''' This method is called when the Exporter is required for exporting
    ''' The properties that we customize on the export options dialog form are the properties of the Exporter
    ''' </summary>
    Public Overrides Function NewExporter() As Exporter

        'creating an XlsExporter by using the base class method
        Dim xlsExporter = CType(MyBase.NewExporter, XlsExporter)

        'here you can set the properties available in the export Options dialog form according to your requirements
        xlsExporter.FontScaling = 2.5

        Return xlsExporter
    End Function

End Class
